# Uses of Class
org.apache.lucene.spatial.prefix.HeatmapFacetCounter.Heatmap

Packages that use HeatmapFacetCounter.Heatmap
Package
Description
org.apache.lucene.spatial.prefix
Prefix Tree Strategy.

- ## Uses of HeatmapFacetCounter.Heatmap in org.apache.lucene.spatial.prefix

  Methods in org.apache.lucene.spatial.prefix that return HeatmapFacetCounter.Heatmap
  Modifier and Type
  Method
  Description
  `static HeatmapFacetCounter.Heatmap`
  HeatmapFacetCounter.`calcFacets(PrefixTreeStrategy strategy, IndexReaderContext context, Bits topAcceptDocs, org.locationtech.spatial4j.shape.Shape inputShape, int facetLevel, int maxCells)`
  Calculates spatial 2D facets (aggregated counts) in a grid, sometimes called a heatmap.
  `HeatmapFacetCounter.Heatmap`
  PrefixTreeStrategy.`calcFacets(IndexReaderContext context, Bits topAcceptDocs, org.locationtech.spatial4j.shape.Shape inputShape, int facetLevel, int maxCells)`
  Computes spatial facets in two dimensions as a grid of numbers.